package sk.upjs.js;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.ModelMap;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;


@Controller
@RequestMapping("/listStudents.do")
public class ListStudents {
	@Autowired
	private Database database;
	
	@RequestMapping(method = RequestMethod.GET)
	public void listStudents(ModelMap model) {
		List<Student> students = database.listStudents();
		model.addAttribute("students", students);
		// automaticky zobraz view ''listStudents'' (odvodene od nazvu metody)
	}
}
