package sk.upjs.js;

import java.io.Serializable;

public class Student implements Serializable {
	private Integer id;
	
	private String meno;
	
	private String priezvisko;
	
	private int rocnik;

	/**
	 * Przdny kontruktor
	 */
	public Student() {
		// do nothing
	}
	
	public Student(Integer id) {
		this(id, null, null, 0);
	}
	
	
	public Student(Integer id, String meno, String priezvisko, int rocnik) {
		super();
		this.id = id;
		this.meno = meno;
		this.priezvisko = priezvisko;
		this.rocnik = rocnik;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public String getMeno() {
		return meno;
	}

	public void setMeno(String meno) {
		this.meno = meno;
	}

	public String getPriezvisko() {
		return priezvisko;
	}

	public void setPriezvisko(String priezvisko) {
		this.priezvisko = priezvisko;
	}
	
	public int getRocnik() {
		return rocnik;
	}
	
	public void setRocnik(int rocnik) {
		this.rocnik = rocnik;
	}

	@Override
	public String toString() {
		return String.format("%s %s, %s [%s]", meno, priezvisko, rocnik, id);
	}
	
	
}
